function OnSceneLoad(screen)
    LoadData(screen)
    --DefaultOnSceneLoad('data/Scenes/.lua', 'hidden_object')
    DefaultOnSceneLoad('data/Scenes/none_Rope.lua', 'mini_game', 'data/Scenes/06_Hotel_Street_Evening_Main.lua')
    
    ROPE_AMOUNT = 16
    CLAMPS_AMOUNT = 16;
    LAMP_AMOUNT = 16;
    
    z = 0;
    
    Color = {"red", "red", "yellow", "blue",
				"green", "yellow", "green", "blue",
				"red", "green", "blue", "yellow",
				"green", "red", "blue", "yellow"}
	
	angle = {3, 3, 3, 3, 4, 4, 4, 4, 1, 1, 1, 1, 2, 2, 2, 2}		
	angle_gravity = {}

    for i = 1,16 do
		angle_gravity[i] = {}
    end
    
	angle_gravity[1] = {9.8, 0}
    angle_gravity[2] = {9.8, 0}
    angle_gravity[3] = {9.8, 0}
    angle_gravity[4] = {9.8, 0}
	angle_gravity[5] = {0, 9.8}
    angle_gravity[6] = {0, 9.8}
    angle_gravity[7] = {0, 9.8}
    angle_gravity[8] = {0, 9.8}
	angle_gravity[9] = {-9.8, 0}
    angle_gravity[10] = {-9.8, 0}
    angle_gravity[11] = {-9.8, 0}
    angle_gravity[12] = {-9.8, 0}
	angle_gravity[13] = {0, -9.8}
    angle_gravity[14] = {0, -9.8}
    angle_gravity[15] = {0, -9.8}
    angle_gravity[16] = {0, -9.8}

        
	local Lenght = {19, 20, 27, 16, 
					20, 17, 17, 26, 
					30, 19, 19, 29, 
					20, 15, 23, 15} 
	
    Ropes = {}
    
    for i = 1, ROPE_AMOUNT do
		Ropes[i] = {}
		Ropes[i].Obj = CreateRopeSimulation("data/Texture/Minigames/Rope/rope_"..Color[i]..".png");
		local X = play_field:GetObject("Tube_"..i):GetX();
		local Y = play_field:GetObject("Tube_"..i):GetY();
		Ropes[i].Color = Color[i];
		Ropes[i].Index = i;
		Ropes[i].ClampIndex = nil;
		-- 1. колличество масс
		-- 2. вес одной массы
		-- 3. сопротивление воздуха
		-- 4. жесткость пружины
		-- 5. длинна
		-- 6. сила трения
		-- 7. координата X
		-- 8. координата Y
		--Ropes[i].Obj:Initialization(Lenght[i], 0.01, 2.0, 0.4, 10.0, 0.1, X, Y, Angle[i]);
		Ropes[i].Obj:Initialization(math.floor(Lenght[i]), 0.01, 0.08, 40.0, 10.0, 0.1, X, Y, angle[i]);
		Ropes[i].Obj:AttachTo(screen);
		Ropes[i].Obj:SetRect(play_field:GetObject("Tube_1"):GetX(), play_field:GetObject("Tube_5"):GetY(),
							  play_field:GetObject("Tube_9"):GetX(), play_field:GetObject("Tube_14"):GetY());
		Ropes[i].Obj:SetZ(99 + z);
		Ropes[i].Obj:SetAngleGravity(Vector(angle_gravity[i][1], angle_gravity[i][2]));
		z= z + 1;
		
		local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
		anim:SetHotSpot(4,4)
		anim:SetBlendMode(2)
		anim:SetColor('0x01FFFFFF')
		screen:CreateObject('area'..i, anim,159,423,200,0,5,5)
		
		play_field:GetObject("area"..i):AttachTo(Ropes[i].Obj);
		
		Ropes[i].TargetName = "area"..i;
		Ropes[i].TargetIndex = i;
	end
	
	Clamps = {};
	for i = 1, CLAMPS_AMOUNT do
		Clamps[i] = {};
		Clamps[i].Obj = play_field:GetObject("clamp_"..i);
		Clamps[i].Color = nil;
		Clamps[i].Pos = Clamps[i].Obj:GetPosition();
		Clamps[i].Obj:SetVisible(false);
		Clamps[i].Rope = nil;
		if i % 2 == 0 then
			Clamps[i].OppositeClamp = Clamps[i - 1];
			Clamps[i - 1].OppositeClamp = Clamps[i];
		end
	end
	
	Lamps = {}
	for i = 1, LAMP_AMOUNT do
		Lamps[i] = {};
		Lamps[i].Obj = play_field:GetObject("Lamp_"..i);
		Lamps[i].Obj:SetVisible(false);
	end
	
	screen:SetLayer(ADDITIONAL_LAYER);
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end


function GetObjectByName(name)
	for i = 1, ROPE_AMOUNT do
		if (name == Ropes[i].TargetName) then
			return Ropes[i];
		end
	end
	
	return nil;
end

function UpdateTargets()
	for i = 1, ROPE_AMOUNT do
		Ropes[i].Obj:SetActive(false);
	end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
    
    for i = 1, ROPE_AMOUNT do
		local Pos = Ropes[i].Obj:GetPosition();
		play_field:GetObject("area"..i):SetScrXY(Pos.x, Pos.y);
    end
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field
	
	UpdateTargets();
	
	DragRope = GetObjectByName(obj_name);
	if(DragRope ~= nil) then
		--Lamps[DragRope.Index].Obj:SetVisible(false);
		--Lamps[DragRope.Index + 2].Obj:SetVisible(false);
						
		Ropes[DragRope.TargetIndex].Obj:SetZ(99 + z);
		z= z + 1;
		Ropes[DragRope.TargetIndex].Obj:SetActive(true);
		
		if(DragRope.ClampIndex ~= nil) then
			Lamps[Clamps[DragRope.ClampIndex].Rope.Index].Obj:SetVisible(false);	
			if(Clamps[DragRope.ClampIndex].OppositeClamp.Rope ~= nil) then
				Lamps[Clamps[DragRope.ClampIndex].OppositeClamp.Rope.Index].Obj:SetVisible(false);
			end
			Clamps[DragRope.ClampIndex].Color = nil;
			DragRope.ClampIndex = nil;
		end
	end 

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
    
	if(DragRope ~= nil) then
		for i = 1, CLAMPS_AMOUNT do
			if(Clamps[i].Color == nil) then
				if(math.abs(Clamps[i].Pos.x - DragRope.Obj:GetPosition().x) < 20 and math.abs(Clamps[i].Pos.y - DragRope.Obj:GetPosition().y) < 20) then
					DragRope.Obj:Fixed(Clamps[i].Pos.x, Clamps[i].Pos.y);
					Clamps[i].Color = DragRope.Color;
					Clamps[i].Rope = DragRope;
					DragRope.ClampIndex = i;
					if(Clamps[i].Color == Clamps[i].OppositeClamp.Color and Clamps[i].Color ~= nil) then
						Lamps[Clamps[i].Rope.Index].Obj:SetVisible(true);
						Lamps[Clamps[i].OppositeClamp.Rope.Index].Obj:SetVisible(true);
					end
				end	
			end
		end
    end
    
	UpdateTargets();
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/BG_Vires.JPG',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Vires',anim,511,383,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_1',anim,339,509,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_2',anim,339,419,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_3',anim,339,336,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_4',anim,339,244,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_5',anim,413,195,200,90,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_6',anim,501,194,200,90,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_7',anim,590,195,200,90,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_8',anim,681,195,200,90,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_9',anim,746,250,200,180,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_10',anim,746,340,200,180,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_11',anim,745,431,200,180,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_12',anim,747,520,200,180,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_13',anim,686,575,200,270,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_14',anim,596,574,200,270,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_15',anim,507,573,200,270,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Tube.PNG',0,0,52,33,1,0)
	anim:SetHotSpot(45,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tube_16',anim,420,574,200,270,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Contacts.PNG',0,0,118,114,1,0)
	anim:SetHotSpot(59,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Contacts_1',anim,570,280,95,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Contacts.PNG',0,0,118,114,1,0)
	anim:SetHotSpot(59,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Contacts_2',anim,480,351,95,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Contacts.PNG',0,0,118,114,1,0)
	anim:SetHotSpot(59,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Contacts_3',anim,593,409,95,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Contacts.PNG',0,0,118,114,1,0)
	anim:SetHotSpot(59,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Contacts_4',anim,510,471,95,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_1',anim,534,277,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_2',anim,603,278,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_3',anim,567,244,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_4',anim,567,313,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_5',anim,444,349,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_6',anim,512,349,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_7',anim,477,316,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_8',anim,478,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_9',anim,557,407,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_10',anim,626,406,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_11',anim,591,374,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_12',anim,591,442,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_13',anim,474,468,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_14',anim,543,468,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_15',anim,507,436,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('clamp_16',anim,507,504,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_1',anim,203,453,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_2',anim,204,366,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_3',anim,203,282,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_4',anim,203,191,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_5',anim,344,61,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_6',anim,435,61,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_7',anim,526,60,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_8',anim,616,61,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_9',anim,750,194,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_10',anim,751,286,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_11',anim,751,377,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_12',anim,750,467,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_13',anim,618,577,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_14',anim,529,577,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_15',anim,441,576,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Rope/Lamp.PNG',0,0,141,141,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp_16',anim,354,577,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
